Loading...
Searching...
No Matches
xccdf_refine_rule Struct Reference
XCCDF

XCCDF refine rule option used in the profile. More...

`#include <xccdf_benchmark.h>`

Collaboration diagram for xccdf_refine_rule:
[legend]

## Public Member Functions

OSCAP_API void | xccdf_refine_rule_free (struct xccdf_refine_rule *obj)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | xccdf_refine_rule_get_item (const struct xccdf_refine_rule *rr)
OSCAP_API const char * | xccdf_refine_rule_get_selector (const struct xccdf_refine_rule *rr)
OSCAP_API xccdf_role_t | xccdf_refine_rule_get_role (const struct xccdf_refine_rule *rr)
OSCAP_API xccdf_level_t | xccdf_refine_rule_get_severity (const struct xccdf_refine_rule *rr)
OSCAP_API struct oscap_text_iterator * | xccdf_refine_rule_get_remarks (const struct xccdf_refine_rule *rr)
OSCAP_API xccdf_numeric | xccdf_refine_rule_get_weight (const struct xccdf_refine_rule *item)
OSCAP_API bool | xccdf_refine_rule_weight_defined (const struct xccdf_refine_rule *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API struct xccdf_refine_rule * | xccdf_refine_rule_new (void)
OSCAP_API struct xccdf_refine_rule * | xccdf_refine_rule_clone (const struct xccdf_refine_rule *old_rule)
OSCAP_API bool | xccdf_refine_rule_set_item (struct xccdf_refine_rule *obj, const char *newval)
OSCAP_API bool | xccdf_refine_rule_set_selector (struct xccdf_refine_rule *obj, const char *newval)
OSCAP_API bool | xccdf_refine_rule_set_role (struct xccdf_refine_rule *obj, xccdf_role_t newval)
OSCAP_API bool | xccdf_refine_rule_set_severity (struct xccdf_refine_rule *obj, xccdf_level_t newval)
OSCAP_API bool | xccdf_refine_rule_set_weight (struct xccdf_refine_rule *obj, xccdf_numeric newval)
OSCAP_API bool | xccdf_refine_rule_add_remark (struct xccdf_refine_rule *obj, struct oscap_text *item)

## Data Fields

char * | item
char * | selector
xccdf_role_t | role
xccdf_level_t | severity
xccdf_numeric | weight
struct oscap_list * | remarks

## Detailed Description

XCCDF refine rule option used in the profile.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h